Getting Started with the Kendo UI for Angular Editor

This guide provides the information you need to start using the Kendo UI for Angular Editor—it includes instructions about the available installation approaches, the required dependencies, the code for running the project, and links to additional resources.

The Editor Package is part of Kendo UI for Angular, a professional grade UI library with 110+ components for building modern and feature-rich applications. To try it out sign up for a free 30-day trial.

After the completion of this guide, you will be able to achieve an end result as demonstrated in the following example.

Example
View Source
Change Theme:

Setting Up Your Angular Project

Before you start with the installation of any Kendo UI for Angular control, ensure that you have a running Angular project. The prerequisites to accomplish the installation of the components are always the same regardless of the Kendo UI for Angular package you want to use, and are fully described in the section on setting up your Angular project.

Installing the Component

You can choose to use either of the following two approaches for installing the Kendo UI for Angular package and the styles you want to apply:

Quick Setup with Angular CLI

The quick setup presents an automatic approach for adding packages with Angular CLI through the ng-add command. It is suitable for saving time and efforts as ng-add executes in a single step a set of otherwise individually needed commands.

To add the Kendo UI for Angular Editor package, run the following command:

ng add @progress/kendo-angular-editor

As a result, the ng-add command will perform the following actions:

  • Add the @progress/kendo-angular-editor package as a dependency to the package.json file.
  • Import the EditorModule in the current application's main module (only if the application uses NgModules).

    If your application uses standalone components, you must import the EditorModule manually.

  • Register the Kendo UI Default theme in the angular.json file.
  • Add all required peer dependencies to the package.json file.
  • Trigger npm install to install the theme and all peer packages that are added.

Manual Setup

The manual setup provides greater visibility and better control over the files and references installed in your Angular application. You can install the required peer dependencies and a Kendo UI theme by running separate commands for each step and import the desired component modules in your NgModule.

  1. Install the Editor package together with its dependencies by running the following command:

     npm install --save @progress/kendo-angular-editor @progress/kendo-angular-buttons @progress/kendo-angular-common @progress/kendo-angular-dialog @progress/kendo-angular-dropdowns @progress/kendo-angular-treeview @progress/kendo-angular-inputs @progress/kendo-angular-intl @progress/kendo-angular-l10n @progress/kendo-angular-popup @progress/kendo-angular-toolbar @progress/kendo-angular-icons @progress/kendo-angular-label @progress/kendo-drawing @progress/kendo-licensing
  2. To add the Editor component, import the EditorModule either in your NgModule or standalone components.

    • Using Modules

      import { NgModule } from "@angular/core";
      import { BrowserModule } from "@angular/platform-browser";
      import { BrowserAnimationsModule } from "@angular/platform-browser/animations";
      import { EditorModule } from "@progress/kendo-angular-editor";
      import { AppComponent } from "./app.component";
      
      @NgModule({
        imports: [BrowserModule, BrowserAnimationsModule, EditorModule],
        declarations: [AppComponent],
        bootstrap: [AppComponent],
      })
      export class AppModule {}
    • Using Standalone Components

      import { Component } from '@angular/core';
      import { EditorModule } from "@progress/kendo-angular-editor";
      
      @Component({
          standalone: true,
          selector: 'my-app',
          imports: [EditorModule],
          template: `
              <kendo-editor></kendo-editor>
          `.
      })
  3. The next step is to style the component by installing one of the available Kendo UI themes—Kendo UI Default, Kendo UI Material, or Kendo UI Bootstrap.

    3.1 To start using a theme, install its package through NPM.

    • Default theme

      npm install --save @progress/kendo-theme-default
    • Bootstrap theme

      npm install --save @progress/kendo-theme-bootstrap
    • Material theme

      npm install --save @progress/kendo-theme-material

    3.2 After the theme package is installed, reference it in your project. You can include kendo-themes in your project in one of the following ways:

Installing with Yarn

If you are using Yarn as package manager, please check the Install Kendo UI for Angular Editor Using Yarn Knowledge Base article.

Using the Component

  1. After successfully installing the Editor package and importing its module, add the following code in the app.component.html file:

    <kendo-editor [value]="value"></kendo-editor>
  2. Bind the value property to an HTML string value in the app.component.ts file:

    public value = `<p> The Editor enables users to create rich textual content. </p>`;
  3. Build and serve the application by running the following command in the root folder.

    ng serve
  4. Point your browser to http://localhost:4200 to see the Kendo UI for Angular Editor component on the page.

Activating Your License Key

As of December 2020, using any of the UI components from the Kendo UI for Angular library requires either a commercial license key or an active trial license key. If your application does not contain a Kendo UI license file, activate your license key.

Next Steps

Dependencies

The following table lists the specific functionalities that are provided by each of the Editor dependencies as per package:

Package NameDescription
@angular/commonProvides the commonly-needed services, pipes, and directives provided by the Angular team. For more information, refer to the official Angular documentation.
@angular/coreContains critical runtime parts of the Angular framework that are needed by every application. For more information, refer to the official Angular documentation.
@angular/formsProvides support for both template-driven and reactive forms. For more information, refer to the official Angular documentation.
@progress/kendo-angular-l10nProvides the globalization features of Kendo UI for Angular.
@progress/kendo-angular-intlProvides the Kendo UI for Angular services and pipes for the parsing and formatting of dates and numbers.
@progress/kendo-angular-commonContains common utilities that are needed by every Kendo UI for Angular component.
@progress/kendo-drawingProvides the Kendo UI cross-browser library for interactive vector graphics.
@progress/kendo-angular-buttonsContains the Kendo UI for Angular Buttons components.
@progress/kendo-angular-iconsContains the Kendo UI for Angular Icons components.
@progress/kendo-angular-dialogContains the Kendo UI for Angular Dialog components.
@progress/kendo-angular-dropdownsContains the Kendo UI for Angular Dropdowns components.
@progress/kendo-angular-treeviewContains the Kendo UI for Angular TreeView component.
@progress/kendo-angular-inputsContains the Kendo UI for Angular Inputs components.
@progress/kendo-angular-popupContains the Kendo UI for Angular Popup component.
@progress/kendo-angular-toolbarContains the Kendo UI for Angular ToolBar component.
@progress/kendo-angular-labelContains the Kendo UI for Angular Label component.
@progress/kendo-licensingContains the kendo-ui-license CLI Tool for license management and the validatePackage function and type definitions that are used by licensed packages.
rxjsProvides the RxJS library for reactive programming which uses Observables for an easier composition of asynchronous or callback-based code.

The following table lists the dependencies which will get automatically installed when you add the rest of the dependency packages.

Package NameDescription
prosemirror-commandsProvides fundamental ProseMirror command functions for encapsulating an editing action. For more information, refer to the official ProseMirror documentation.
prosemirror-historyContains the ProseMirror implementation for the history of undo and redo actions. For more information, refer to the official ProseMirror documentation.
prosemirror-inputrulesDefines a ProseMirror plugin for attaching input rules to an editor. For more information, refer to the official ProseMirror documentation.
prosemirror-keymapContains a ProseMirror plugin for defining key bindings. For more information, refer to the official ProseMirror documentation.
prosemirror-schema-basicDefines a simple ProseMirror schema which can be used directly, extended, or used in another schema. For more information, refer to the official ProseMirror documentation.
prosemirror-schema-listContains list-related ProseMirror schema elements and commands. For more information, refer to the official ProseMirror documentation.
prosemirror-stateImplements the state object of a ProseMirror editor and the representation of the selection and the plugin abstraction. For more information, refer to the official ProseMirror documentation.
prosemirror-modelDefines the content model of ProseMirror and its data structures. For more information, refer to the official ProseMirror documentation.
prosemirror-viewDisplays a specific editor state in the DOM and handles user events. For more information, refer to the official ProseMirror documentation.
@type/prosemirror-commandsContains the type definitions for the prosemirror-commands module.
@type/prosemirror-historyContains the type definitions for the prosemirror-history module.
@type/prosemirror-inputrulesContains the type definitions for the prosemirror-inputrules module.
@type/prosemirror-keymapContains the type definitions for the prosemirror-keymap module.
@type/prosemirror-schema-basicContains the type definitions for the prosemirror-schema-basic module.
@type/prosemirror-schema-listContains the type definitions for the prosemirror-schema-list module.
@type/prosemirror-stateContains the type definitions for the prosemirror-state module.
@type/prosemirror-modelContains the type definitions for the prosemirror-model module.
@type/prosemirror-viewContains the type definitions for the prosemirror-view module.

Learning Resources

Getting Started with the KendoReact Editor
Premium

This guide provides essential information about using the KendoReact Editor package. You will learn how to install the Editor package, add a React Editor component, part of KendoReact, to your project, style the component, and activate your license.

ninja-iconThe Editor is part of KendoReact premium, an enterprise-grade UI library with 120+ free and premium components for building polished, performant apps. Test-drive all features with a free 30-day trial.Start Free Trial

After completing this guide, you will be able to reproduce the following example.

Change Theme
Theme
Loading ...

Before You Begin

sh
npm create vite@latest my-app -- --template react

This guide requires that you have basic knowledge of React and TypeScript, and that you have already created a blank React project.

You can speed up the development of your KendoReact application with the Kendo UI Template Wizard for Visual Studio Code.

Install the Component

sh
npm i @progress/kendo-react-editor

Importing the Component

After installing the package, import the Editor component in the React App.

In the src/App.js file of your React project, import the Editor and EditorTools components from the Editor package. The EditorTools provide different built-in user-interface tools that help users modify the content.

jsx
// ES2015 module syntax
import { Editor, EditorTools } from '@progress/kendo-react-editor';
jsx
// CommonJS format
const { Editor, EditorTools } = require('@progress/kendo-react-editor');

Using the Component

  1. Define the editor tools that you want to enable.

    jsx
    const {
        Bold,
        Italic,
        Underline,
        AlignLeft,
        AlignRight,
        AlignCenter,
        Indent,
        Outdent,
        OrderedList,
        UnorderedList,
        Undo,
        Redo,
        Link,
        Unlink
    } = EditorTools;
  2. Add the component's markup to the src/App.js file in your project and set the tools. Optionally, configure the height of the Editor component.

    jsx
    return (
        <Editor
            tools={[
                [Bold, Italic, Underline],
                [Undo, Redo],
                [Link, Unlink],
                [AlignLeft, AlignCenter, AlignRight],
                [OrderedList, UnorderedList, Indent, Outdent]
            ]}
            contentStyle={{
                height: 320
            }}
            defaultContent={content}
        />
    );
  3. To style the Editor, install and import the Default theme, which is one of the three beautiful themes for KendoReact.

    3.1. Install the Default theme package.

    sh
    npm i @progress/kendo-theme-default

    3.2. Import the CSS file from the package in src/App.js. Add this import before your existing App.css import.

    jsx
    import '@progress/kendo-theme-default/dist/all.css';
  4. Build and run the application by typing the following command in the root folder of your project:

    sh
    npm start
  5. Navigate to http://localhost:3000 to see the KendoReact Editor component on the page.

Activating Your License Key

Using any of the UI components in the KendoReact library requires either a commercial license key or an active trial license key.

Follow the instructions on the KendoReact My License page to activate your trial or commercial license. You can skip this step if your application already contains a KendoReact license file.

Dependencies

The Editor package requires you to install the following peer dependencies in your application:

Package NameDescription
react 16.8.2*Contains the functionality necessary to define React components.
react-domContains the React renderer for the web.
@progress/kendo-licensingContains the internal infrastructure related to licensing.
@progress/kendo-drawingContains the KendoReact Drawing components.
@progress/kendo-react-buttonsContains the KendoReact Buttons components.
@progress/kendo-react-dialogsContains the KendoReact Dialogs components.
@progress/kendo-react-dropdownsContains the KendoReact Dropdowns components.
@progress/kendo-react-inputsContains the KendoReact Inputs components.
@progress/kendo-react-intlContains the KendoReact Internationalization package that applies the desired cultures by providing services and pipes for the parsing and formatting of dates and numbers.
@progress/kendo-react-layoutContains the KendoReact Layout components.
@progress/kendo-react-pdfContains the KendoReact PDF components.
@progress/kendo-react-popupContains the KendoReact Popup components.
@progress/kendo-react-progressbarsContains the KendoReact Progressbars components.
@progress/kendo-svg-iconsContains the KendoReact SVG icons.

Learning Resources